package mytype.mycom.mygroup;


/*
 * @usage 请求包上下文
 *
 * */

import io.netty.channel.ChannelHandlerContext;


public class RequestContext {
    private ChannelHandlerContext channelContext;
    /*
     * @usage 请求包在io线程中开始channelRead0处理时间
     */
    private long startReadTime;

    /*
     * @usage 请求包在io线程投递到业务线程时间
     */
    private long addTaskTime;


    /*
     * @usage 请求id标识
     */
    private String reqid;

    private boolean processInIoThread;

    public RequestContext(ChannelHandlerContext channelContext, String requestId, boolean processInIoThread) {
        this.channelContext = channelContext;
        this.startReadTime = System.currentTimeMillis();
        this.reqid = requestId;
        this.processInIoThread = processInIoThread;
    }

    public ChannelHandlerContext getChannelHandlerContext() {
        return channelContext;
    }

    public long getStartReadTime() {
        return startReadTime;
    }

    public String getReqid() {
        return reqid;
    }

    public boolean isProcessInIoThread() {return processInIoThread;}

    public void setAddTaskTime(long addTaskTime) {
        this.addTaskTime = addTaskTime;
    }

    public long getAddTaskTime() {
        return addTaskTime;
    }


}
